Package com.sas.services.storedprocess

# Class WebDAVPackageDAVServerResultHints

java.lang.Object
com.sas.services.storedprocess.ResultHints
com.sas.services.storedprocess.WebDAVPackageDAVServerResultHints

All Implemented Interfaces:
  `Serializable`, `Cloneable`

public class WebDAVPackageDAVServerResultHints extends ResultHints
Deprecated.
This ResultHints sub-class specifies hints for the RESULT_TYPE_PERMANENT_WEBDAV_PACKAGE result type and subtype ResultHints.HINT_SUBTYPE_WEBDAV_DAVSERVER. This hint allows the specification of any collection (relative to the WebDAV server's base path) as the location for the package. While the destination collection need not exist, any intermediate collection must exist.

Since:
  1.1
See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class com.sas.services.storedprocess.ResultHints

  `HINT_SUBTYPE_NA, HINT_SUBTYPE_SET, HINT_SUBTYPE_WEBDAV_DAVSERVER, HINT_SUBTYPE_WEBDAV_URL, HINT_SUBTYPE_WEBDAV_USER_PR`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getCollectionUnderDAVServerBasePath()`
  Deprecated.
  Gets the package collection path relative to the base path of the WebDAV server.
  `HttpServerInterface`
  `getDAVServer()`
  Deprecated.
  Gets the WebDAV server to which the package will be published.
  `String`
  `getDAVServerBasePath()`
  Deprecated.
  Gets the base path of the WebDAV server.
  `void`
  `setCollectionUnderDAVServerBasePath(String collectionUnderDAVServerBasePath)`
  Deprecated.
  Sets the package collection path relative to the base path of the WebDAV server.
  `void`
  `setDAVServer(HttpServerInterface davServer)`
  Deprecated.
  Sets the WebDAV server to which the package will be published.
  `void`
  `setDAVServerBasePath(String DAVServerBasePath)`
  Deprecated.
  Sets the base path of the WebDAV server.

  ### Methods inherited from class com.sas.services.storedprocess.ResultHints

  `clone, getResultLocation, isLifecycleBound, isNewInstanceCreated, setLifecycleBound, setNewInstanceCreated`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### setDAVServer

    public void setDAVServer(HttpServerInterface davServer)
    Deprecated.
    Sets the WebDAV server to which the package will be published.
    Parameters:
      `davServer` - the WebDAV server to which the package will be published.

  - ### getDAVServer

    public HttpServerInterface getDAVServer()
    Deprecated.
    Gets the WebDAV server to which the package will be published.

  - ### setCollectionUnderDAVServerBasePath

    public void setCollectionUnderDAVServerBasePath(String collectionUnderDAVServerBasePath)
    Deprecated.
    Sets the package collection path relative to the base path of the WebDAV server. If a new instance is to be created this is the path to the collection which will contain the newly created collection.
    Parameters:
      `collectionUnderDAVServerBasePath` - the path of the package collection relative to base path of the WebDAV server. null is a valid argument only if a new instance is to be created.

  - ### getCollectionUnderDAVServerBasePath

    public String getCollectionUnderDAVServerBasePath()
    Deprecated.
    Gets the package collection path relative to the base path of the WebDAV server. If a new instance is to be created this is the path to the collection which will contain the newly created collection.

  - ### getDAVServerBasePath

    public String getDAVServerBasePath()
    Deprecated.
    Gets the base path of the WebDAV server.

  - ### setDAVServerBasePath

    public void setDAVServerBasePath(String DAVServerBasePath)
    Deprecated.
    Sets the base path of the WebDAV server.
    Parameters:
      `DAVServerBasePath` - the base path of the WebDAV server to set. No validation of the base path is done.